# ImageKit 

ImageKit is a GPU based image processing, graphics rendering framework for Delphi developers. ImageKit hides the details of low-level graphics processing by providing an easy-to-use application programming interface.
ImageKit provides dozens of built-in filters. You set up filters by supplying key-value pairs for a filters input parameters. The output of one filter can be the input of another, making it possible to chain numerous filters together to create amazing effects.

# Features

GPU based image processing, graphics rendering framework
Dozens of built-in filters and thousands of possible chains
VCL, GDI and GDI+ interoperability
Advanced GPU based ImageView control
3D transformations
Support software device if hardware isn't available
High level DirectX 10 wrapper control and renderer

# Requirement

* All Delphi and C++ Builder version since XE3
* Applications build with ImageKit required Windows Vista+

# Trial Instalation

1. Run Delphi and select the COMPONENTS menu. 
Then choose the item Install Packages...
2. Click on the ADD button. A dialog box will pop up. Click on the BROWSE 
button.
3. A standard file selection dialog will pop up. Select *.bpl file.
4. Add folder with trial sources to library path options of IDE.

# License

If you need to use this framework for a project with a different licensing requirements, feel free to contact the author for more options.

Copyright (c) 2016 Almediadev


